Subject: bug#71655: Eshell external commands do not work under GNU Emacs for Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Jun 2024 07:36:32 +0300

> Date: Sat, 22 Jun 2024 12:55:32 -0700
> Cc: [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> 
> > I agree that all those other conditions (including the .exe test) seem
> > to be reasonable, in addition to zero-size.
> 
> Do you have a preference between either of these patches? They either 
> check for zero-size or ignore file errors when trying to insert.
> 
> I don't have a strong preference myself, but the latter seems 
> ever-so-slightly safer to me. This bug happened because we can't read 
> the file when trying to insert it, so ignoring file errors would cover 
> any other situations we haven't predicted. On the other hand, maybe 
> there's a case where we *want* the 'insert-file-contents-literally' 
> error to signal so that we don't try to execute the file normally (I 
> can't think of any such cases, though).

Why not do both?  If the file has zero size, reading it is pointless,
and if reading it signals an error, we cannot examine it for the
interpreter signature.

Thanks.